# keyclic_sdk_api
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.1.14
- Build package: io.swagger.codegen.languages.DartClientCodegen
For more information, please visit [http://keyclic.com](http://keyclic.com)

## Requirements

Dart 1.20.0 or later OR Flutter 0.0.20 or later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: keyclic_sdk_api
version: 2.1.14
description: The keyclic_sdk_api package is an implementation of the Keyclic API.
dependencies:
  keyclic_sdk_api:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  keyclic_sdk_api:
    path: /path/to/keyclic_sdk_api
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:keyclic_sdk_api/api.dart';


var api_instance = ApplicationApi();
var xKeyclicApp = xKeyclicApp_example; // String | 
var application = ; // String | The identifier of the resource.
var acceptLanguage = acceptLanguage_example; // String | 
var xKeyclicAppVersion = xKeyclicAppVersion_example; // String | 

try {
    var result = api_instance.getApplication(xKeyclicApp, application, acceptLanguage, xKeyclicAppVersion);
    print(result);
} catch (e) {
    print("Exception when calling ApplicationApi->getApplication: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://api.keyclic.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApplicationApi* | [**getApplication**](docs//ApplicationApi.md#getapplication) | **GET** /applications/{application} | Retrieve one Application resource.
*BusinessActivityApi* | [**cgetBusinessActivities**](docs//BusinessActivityApi.md#cgetbusinessactivities) | **GET** /business-activities | Retrieve all BusinessActivity resources.
*BusinessActivityApi* | [**getBusinessActivity**](docs//BusinessActivityApi.md#getbusinessactivity) | **GET** /business-activities/{businessActivity} | Retrieve one BusinessActivity resource.
*BusinessActivityApi* | [**getSchemaByBusinessActivity**](docs//BusinessActivityApi.md#getschemabybusinessactivity) | **GET** /businessactivities/{businessActivity}/schema | Retrieve one Schema resource.
*CategoryApi* | [**cgetCategories**](docs//CategoryApi.md#cgetcategories) | **GET** /categories | Retrieve all Category resources.
*CategoryApi* | [**deleteCategory**](docs//CategoryApi.md#deletecategory) | **DELETE** /categories/{category} | Remove one Category resource.
*CategoryApi* | [**getCategory**](docs//CategoryApi.md#getcategory) | **GET** /categories/{category} | Retrieve one Category resource.
*CategoryApi* | [**patchCategory**](docs//CategoryApi.md#patchcategory) | **PATCH** /categories/{category} | Edit one Category resource.
*CategoryApi* | [**postCategory**](docs//CategoryApi.md#postcategory) | **POST** /categories | Create one Category resource.
*ContributionApi* | [**cgetContributions**](docs//ContributionApi.md#cgetcontributions) | **GET** /contributions | Retrieve all Contribution resources.
*ContributionApi* | [**getContribution**](docs//ContributionApi.md#getcontribution) | **GET** /contributions/{contribution} | Retrieve one Contribution resource.
*ContributionApi* | [**postContribution**](docs//ContributionApi.md#postcontribution) | **POST** /contributions | Create one Contribution resource.
*DelegationApi* | [**getDelegation**](docs//DelegationApi.md#getdelegation) | **GET** /delegations/{delegation} | Retrieve one Delegation resource.
*DelegationApi* | [**postDelegation**](docs//DelegationApi.md#postdelegation) | **POST** /delegations | Create one Delegation resource.
*DelegationApi* | [**postWorkflowByDelegation**](docs//DelegationApi.md#postworkflowbydelegation) | **POST** /delegations/{delegation}/workflow | Create one Workflow resource.
*DeviceApi* | [**deleteDevice**](docs//DeviceApi.md#deletedevice) | **DELETE** /devices/{device} | Remove one Device resource.
*DeviceApi* | [**getDevice**](docs//DeviceApi.md#getdevice) | **GET** /devices/{device} | Retrieve one Device resource.
*DeviceApi* | [**postDevice**](docs//DeviceApi.md#postdevice) | **POST** /devices | Create one Device resource.
*DocumentApi* | [**deleteDocument**](docs//DocumentApi.md#deletedocument) | **DELETE** /documents/{document} | Remove one Document resource.
*DocumentApi* | [**getDocument**](docs//DocumentApi.md#getdocument) | **GET** /documents/{document} | Retrieve one Document resource.
*DocumentApi* | [**patchDocument**](docs//DocumentApi.md#patchdocument) | **PATCH** /documents/{document} | Edit one Document resource.
*ExternalServiceApi* | [**deleteExternalService**](docs//ExternalServiceApi.md#deleteexternalservice) | **DELETE** /external-services/{externalService} | Remove one ExternalService resource.
*ExternalServiceApi* | [**getExternalService**](docs//ExternalServiceApi.md#getexternalservice) | **GET** /external-services/{externalService} | Retrieve one ExternalService resource.
*ExternalServiceApi* | [**patchExternalService**](docs//ExternalServiceApi.md#patchexternalservice) | **PATCH** /external-services/{externalService} | Edit one ExternalService resource.
*ExternalServiceApi* | [**postExternalService**](docs//ExternalServiceApi.md#postexternalservice) | **POST** /external-services | Create one ExternalService resource.
*FeedApi* | [**cgetFeeds**](docs//FeedApi.md#cgetfeeds) | **GET** /feeds | Retrieve all Feed resources.
*FeedApi* | [**cgetFeedsByFeed**](docs//FeedApi.md#cgetfeedsbyfeed) | **GET** /feeds/{feed} | Retrieve all Feed resources.
*FeedApi* | [**cgetFollowingsByFeed**](docs//FeedApi.md#cgetfollowingsbyfeed) | **GET** /feeds/{feed}/following | Retrieve all Following resources.
*FeedApi* | [**postFollowByFeed**](docs//FeedApi.md#postfollowbyfeed) | **POST** /feeds/{feed}/follow | Create one Follow resource.
*FeedApi* | [**postReadByFeedAndGroup**](docs//FeedApi.md#postreadbyfeedandgroup) | **POST** /feeds/{feed}/read/{group} | Create one Read resource.
*FeedApi* | [**postUnfollowByFeed**](docs//FeedApi.md#postunfollowbyfeed) | **POST** /feeds/{feed}/unfollow | Create one Unfollow resource.
*FeedbackApi* | [**cgetCommentsByFeedback**](docs//FeedbackApi.md#cgetcommentsbyfeedback) | **GET** /feedbacks/{feedback}/comments | Retrieve all Comment resources.
*FeedbackApi* | [**cgetFeedback**](docs//FeedbackApi.md#cgetfeedback) | **GET** /feedbacks | Retrieve all Feedback resources.
*FeedbackApi* | [**cgetReviewsByFeedback**](docs//FeedbackApi.md#cgetreviewsbyfeedback) | **GET** /feedbacks/{feedback}/reviews | Retrieve all Review resources.
*FeedbackApi* | [**getFeedback**](docs//FeedbackApi.md#getfeedback) | **GET** /feedbacks/{feedback} | Retrieve one Feedback resource.
*FeedbackApi* | [**getTrackingByFeedback**](docs//FeedbackApi.md#gettrackingbyfeedback) | **GET** /feedbacks/{feedback}/tracking | Retrieve one Tracking resource.
*FeedbackApi* | [**postCommentByFeedback**](docs//FeedbackApi.md#postcommentbyfeedback) | **POST** /feedbacks/{feedback}/comments | Create one Comment resource.
*FeedbackApi* | [**postImageByFeedback**](docs//FeedbackApi.md#postimagebyfeedback) | **POST** /feedbacks/{feedback}/images | Create one Image resource.
*FeedbackApi* | [**postIssue**](docs//FeedbackApi.md#postissue) | **POST** /feedbacks/issues | Create one Issue resource.
*FeedbackApi* | [**postWorkflowByFeedback**](docs//FeedbackApi.md#postworkflowbyfeedback) | **POST** /feedbacks/{feedback}/workflow | Create one Workflow resource.
*InternalServiceApi* | [**deleteInternalService**](docs//InternalServiceApi.md#deleteinternalservice) | **DELETE** /internal-services/{internalService} | Remove one InternalService resource.
*InternalServiceApi* | [**getInternalService**](docs//InternalServiceApi.md#getinternalservice) | **GET** /internal-services/{internalService} | Retrieve one InternalService resource.
*InternalServiceApi* | [**patchInternalService**](docs//InternalServiceApi.md#patchinternalservice) | **PATCH** /internal-services/{internalService} | Edit one InternalService resource.
*InternalServiceApi* | [**postInternalService**](docs//InternalServiceApi.md#postinternalservice) | **POST** /internal-services | Create one InternalService resource.
*MemberApi* | [**deleteMember**](docs//MemberApi.md#deletemember) | **DELETE** /members/{member} | Remove one Member resource.
*MemberApi* | [**getMember**](docs//MemberApi.md#getmember) | **GET** /members/{member} | Retrieve one Member resource.
*MemberApi* | [**patchMember**](docs//MemberApi.md#patchmember) | **PATCH** /members/{member} | Edit one Member resource.
*MemberApi* | [**postMember**](docs//MemberApi.md#postmember) | **POST** /members | Create one Member resource.
*OccupantApi* | [**deleteOccupant**](docs//OccupantApi.md#deleteoccupant) | **DELETE** /occupants/{occupant} | Remove one Occupant resource.
*OccupantApi* | [**getOccupant**](docs//OccupantApi.md#getoccupant) | **GET** /occupants/{occupant} | Retrieve one Occupant resource.
*OccupantApi* | [**postOccupant**](docs//OccupantApi.md#postoccupant) | **POST** /occupants | Create one Occupant resource.
*OperationApi* | [**cgetCommentsByOperation**](docs//OperationApi.md#cgetcommentsbyoperation) | **GET** /operations/{operation}/comments | Retrieve all Comment resources.
*OperationApi* | [**deleteImageByOperationAndImage**](docs//OperationApi.md#deleteimagebyoperationandimage) | **DELETE** /operations/{operation}/images/{image} | Remove one Image resource.
*OperationApi* | [**deleteOperation**](docs//OperationApi.md#deleteoperation) | **DELETE** /operations/{operation} | Remove one Operation resource.
*OperationApi* | [**getOperation**](docs//OperationApi.md#getoperation) | **GET** /operations/{operation} | Retrieve one Operation resource.
*OperationApi* | [**getTrackingByOperation**](docs//OperationApi.md#gettrackingbyoperation) | **GET** /operations/{operation}/tracking | Retrieve one Tracking resource.
*OperationApi* | [**patchOperation**](docs//OperationApi.md#patchoperation) | **PATCH** /operations/{operation} | Edit one Operation resource.
*OperationApi* | [**postAssignByOperation**](docs//OperationApi.md#postassignbyoperation) | **POST** /operations/{operation}/assign | Create one Assign resource.
*OperationApi* | [**postCommentByOperation**](docs//OperationApi.md#postcommentbyoperation) | **POST** /operations/{operation}/comments | Create one Comment resource.
*OperationApi* | [**postImageByOperation**](docs//OperationApi.md#postimagebyoperation) | **POST** /operations/{operation}/images | Create one Image resource.
*OperationApi* | [**postOperation**](docs//OperationApi.md#postoperation) | **POST** /operations | Create one Operation resource.
*OperationApi* | [**postSignByOperation**](docs//OperationApi.md#postsignbyoperation) | **POST** /operations/{operation}/sign | Create one Sign resource.
*OperationApi* | [**postWorkflowByOperation**](docs//OperationApi.md#postworkflowbyoperation) | **POST** /operations/{operation}/workflow | Create one Workflow resource.
*OrganizationApi* | [**cgetCategoriesByOrganization**](docs//OrganizationApi.md#cgetcategoriesbyorganization) | **GET** /organizations/{organization}/categories | Retrieve all Category resources.
*OrganizationApi* | [**cgetDelegationsByOrganization**](docs//OrganizationApi.md#cgetdelegationsbyorganization) | **GET** /organizations/{organization}/delegations | Retrieve all Delegation resources.
*OrganizationApi* | [**cgetExternalServicesByOrganization**](docs//OrganizationApi.md#cgetexternalservicesbyorganization) | **GET** /organizations/{organization}/external-services | Retrieve all ExternalService resources.
*OrganizationApi* | [**cgetInternalServicesByOrganization**](docs//OrganizationApi.md#cgetinternalservicesbyorganization) | **GET** /organizations/{organization}/internal-services | Retrieve all InternalService resources.
*OrganizationApi* | [**cgetMembersByOrganization**](docs//OrganizationApi.md#cgetmembersbyorganization) | **GET** /organizations/{organization}/members | Retrieve all Member resources.
*OrganizationApi* | [**cgetOperationsByOrganization**](docs//OrganizationApi.md#cgetoperationsbyorganization) | **GET** /organizations/{organization}/operations | Retrieve all Operation resources.
*OrganizationApi* | [**cgetOrganizations**](docs//OrganizationApi.md#cgetorganizations) | **GET** /organizations | Retrieve all Organization resources.
*OrganizationApi* | [**cgetPlacesByOrganization**](docs//OrganizationApi.md#cgetplacesbyorganization) | **GET** /organizations/{organization}/places | Retrieve all Place resources.
*OrganizationApi* | [**cgetPublicationsByOrganization**](docs//OrganizationApi.md#cgetpublicationsbyorganization) | **GET** /organizations/{organization}/publications | Retrieve all Publication resources.
*OrganizationApi* | [**cgetReportsByOrganization**](docs//OrganizationApi.md#cgetreportsbyorganization) | **GET** /organizations/{organization}/reports | Retrieve all Report resources.
*OrganizationApi* | [**cgetWebhooksByOrganization**](docs//OrganizationApi.md#cgetwebhooksbyorganization) | **GET** /organizations/{organization}/webhooks | Retrieve all Webhook resources.
*OrganizationApi* | [**cpostExportByOrganization**](docs//OrganizationApi.md#cpostexportbyorganization) | **POST** /organizations/{organization}/exports | Retrieve all Export resources.
*OrganizationApi* | [**getAnalyticByOrganization**](docs//OrganizationApi.md#getanalyticbyorganization) | **GET** /organizations/{organization}/analytics | Retrieve one Analytic resource.
*OrganizationApi* | [**getFormByOrganization**](docs//OrganizationApi.md#getformbyorganization) | **GET** /organizations/{organization}/form | Retrieve one Form resource.
*OrganizationApi* | [**getOrganization**](docs//OrganizationApi.md#getorganization) | **GET** /organizations/{organization} | Retrieve one Organization resource.
*OrganizationApi* | [**patchOrganization**](docs//OrganizationApi.md#patchorganization) | **PATCH** /organizations/{organization} | Edit one Organization resource.
*OrganizationApi* | [**postOrganization**](docs//OrganizationApi.md#postorganization) | **POST** /organizations | Create one Organization resource.
*PersonApi* | [**cgetFeedbackByPerson**](docs//PersonApi.md#cgetfeedbackbyperson) | **GET** /people/{person}/feedbacks | Retrieve all Feedback resources.
*PersonApi* | [**cgetMembershipsByPerson**](docs//PersonApi.md#cgetmembershipsbyperson) | **GET** /people/{person}/memberships | Retrieve all Membership resources.
*PersonApi* | [**cgetOccupantsByPerson**](docs//PersonApi.md#cgetoccupantsbyperson) | **GET** /people/{person}/occupants | Retrieve all Occupant resources.
*PersonApi* | [**cgetOperationsByPerson**](docs//PersonApi.md#cgetoperationsbyperson) | **GET** /people/{person}/operations | Retrieve all Operation resources.
*PersonApi* | [**cgetPeople**](docs//PersonApi.md#cgetpeople) | **GET** /people | Retrieve all Person resources.
*PersonApi* | [**cgetReportsByPerson**](docs//PersonApi.md#cgetreportsbyperson) | **GET** /people/{person}/reports | Retrieve all Report resources.
*PersonApi* | [**cgetReviewRequestsByPerson**](docs//PersonApi.md#cgetreviewrequestsbyperson) | **GET** /people/{person}/review-requests | Retrieve all ReviewRequest resources.
*PersonApi* | [**getPerson**](docs//PersonApi.md#getperson) | **GET** /people/{person} | Retrieve one Person resource.
*PersonApi* | [**patchPerson**](docs//PersonApi.md#patchperson) | **PATCH** /people/{person} | Edit one Person resource.
*PlaceApi* | [**cgetOccupantsByPlace**](docs//PlaceApi.md#cgetoccupantsbyplace) | **GET** /places/{place}/occupants | Retrieve all Occupant resources.
*PlaceApi* | [**cgetPlaces**](docs//PlaceApi.md#cgetplaces) | **GET** /places | Retrieve all Place resources.
*PlaceApi* | [**getPlace**](docs//PlaceApi.md#getplace) | **GET** /places/{place} | Retrieve one Place resource.
*PlaceApi* | [**patchPlace**](docs//PlaceApi.md#patchplace) | **PATCH** /places/{place} | Edit one Place resource.
*PlaceApi* | [**postPlace**](docs//PlaceApi.md#postplace) | **POST** /places | Create one Place resource.
*PublicationApi* | [**deletePublication**](docs//PublicationApi.md#deletepublication) | **DELETE** /publications/{publication} | Remove one Publication resource.
*PublicationApi* | [**getPublication**](docs//PublicationApi.md#getpublication) | **GET** /publications/{publication} | Retrieve one Publication resource.
*PublicationApi* | [**postPublication**](docs//PublicationApi.md#postpublication) | **POST** /publications | Create one Publication resource.
*ReportApi* | [**cgetDocumentsByReport**](docs//ReportApi.md#cgetdocumentsbyreport) | **GET** /reports/{report}/documents | Retrieve all Document resources.
*ReportApi* | [**cgetOperationsByReport**](docs//ReportApi.md#cgetoperationsbyreport) | **GET** /reports/{report}/operations | Retrieve all Operation resources.
*ReportApi* | [**getReport**](docs//ReportApi.md#getreport) | **GET** /reports/{report} | Retrieve one Report resource.
*ReportApi* | [**getTrackingByReport**](docs//ReportApi.md#gettrackingbyreport) | **GET** /reports/{report}/tracking | Retrieve one Tracking resource.
*ReportApi* | [**patchReport**](docs//ReportApi.md#patchreport) | **PATCH** /reports/{report} | Edit one Report resource.
*ReportApi* | [**postDocumentByReport**](docs//ReportApi.md#postdocumentbyreport) | **POST** /reports/{report}/documents | Create one Document resource.
*ReportApi* | [**postWorkflowByReport**](docs//ReportApi.md#postworkflowbyreport) | **POST** /reports/{report}/workflow | Create one Workflow resource.
*ReviewApi* | [**getReview**](docs//ReviewApi.md#getreview) | **GET** /reviews/{review} | Retrieve one Review resource.
*ReviewApi* | [**postReview**](docs//ReviewApi.md#postreview) | **POST** /reviews | Create one Review resource.
*ReviewRequestApi* | [**getReviewRequest**](docs//ReviewRequestApi.md#getreviewrequest) | **GET** /review-requests/{reviewRequest} | Retrieve one ReviewRequest resource.
*SecurityApi* | [**postConnectFacebook**](docs//SecurityApi.md#postconnectfacebook) | **POST** /security/connect/facebook | Create one ConnectFacebook resource.
*SecurityApi* | [**postLogin**](docs//SecurityApi.md#postlogin) | **POST** /security/login | Create one Login resource.
*SecurityApi* | [**postPasswordChangeByToken**](docs//SecurityApi.md#postpasswordchangebytoken) | **POST** /security/password/change/{token} | Create one PasswordChange resource.
*SecurityApi* | [**postPasswordReset**](docs//SecurityApi.md#postpasswordreset) | **POST** /security/password/change-request | Create one PasswordReset resource.
*SecurityApi* | [**postRegister**](docs//SecurityApi.md#postregister) | **POST** /security/register | Create one Register resource.
*WebhookApi* | [**deleteWebhook**](docs//WebhookApi.md#deletewebhook) | **DELETE** /webhooks/{webhook} | Remove one Webhook resource.
*WebhookApi* | [**getWebhook**](docs//WebhookApi.md#getwebhook) | **GET** /webhooks/{webhook} | Retrieve one Webhook resource.
*WebhookApi* | [**patchWebhook**](docs//WebhookApi.md#patchwebhook) | **PATCH** /webhooks/{webhook} | Edit one Webhook resource.
*WebhookApi* | [**postWebhook**](docs//WebhookApi.md#postwebhook) | **POST** /webhooks | Create one Webhook resource.


## Documentation For Models

 - [Activity](docs//Activity.md)
 - [ActivityAggregatedPagination](docs//ActivityAggregatedPagination.md)
 - [ActivityGroup](docs//ActivityGroup.md)
 - [ActivityPagination](docs//ActivityPagination.md)
 - [ActivitySubject](docs//ActivitySubject.md)
 - [Application](docs//Application.md)
 - [ApplicationLinks](docs//ApplicationLinks.md)
 - [ApplicationLinksSelf](docs//ApplicationLinksSelf.md)
 - [ApplicationLinksSelfIriTemplate](docs//ApplicationLinksSelfIriTemplate.md)
 - [ApplicationLinksSelfIriTemplateMapping](docs//ApplicationLinksSelfIriTemplateMapping.md)
 - [AssignData](docs//AssignData.md)
 - [BusinessActivity](docs//BusinessActivity.md)
 - [BusinessActivityCollection](docs//BusinessActivityCollection.md)
 - [BusinessActivityLinks](docs//BusinessActivityLinks.md)
 - [BusinessActivityLinksImage](docs//BusinessActivityLinksImage.md)
 - [BusinessActivityLinksImageIriTemplate](docs//BusinessActivityLinksImageIriTemplate.md)
 - [BusinessActivityLinksImageIriTemplateMapping](docs//BusinessActivityLinksImageIriTemplateMapping.md)
 - [BusinessActivityLinksSchema](docs//BusinessActivityLinksSchema.md)
 - [BusinessActivityLinksSchemaIriTemplate](docs//BusinessActivityLinksSchemaIriTemplate.md)
 - [BusinessActivityLinksSelf](docs//BusinessActivityLinksSelf.md)
 - [BusinessActivityLinksSelfIriTemplate](docs//BusinessActivityLinksSelfIriTemplate.md)
 - [BusinessActivityLinksThumbnail](docs//BusinessActivityLinksThumbnail.md)
 - [BusinessActivityLinksThumbnailIriTemplate](docs//BusinessActivityLinksThumbnailIriTemplate.md)
 - [BusinessActivityMetadataSchema](docs//BusinessActivityMetadataSchema.md)
 - [Category](docs//Category.md)
 - [CategoryCollection](docs//CategoryCollection.md)
 - [CategoryData](docs//CategoryData.md)
 - [CategoryLinks](docs//CategoryLinks.md)
 - [CategoryLinksOrganization](docs//CategoryLinksOrganization.md)
 - [CategoryLinksOrganizationIriTemplate](docs//CategoryLinksOrganizationIriTemplate.md)
 - [CategoryLinksOrganizationIriTemplateMapping](docs//CategoryLinksOrganizationIriTemplateMapping.md)
 - [CategoryLinksSelf](docs//CategoryLinksSelf.md)
 - [CategoryLinksSelfIriTemplate](docs//CategoryLinksSelfIriTemplate.md)
 - [CategoryLinksSelfIriTemplateMapping](docs//CategoryLinksSelfIriTemplateMapping.md)
 - [CategoryPatch](docs//CategoryPatch.md)
 - [Chart](docs//Chart.md)
 - [Checkpoint](docs//Checkpoint.md)
 - [CheckpointLinks](docs//CheckpointLinks.md)
 - [CheckpointLinksOrganization](docs//CheckpointLinksOrganization.md)
 - [CheckpointLinksOrganizationIriTemplate](docs//CheckpointLinksOrganizationIriTemplate.md)
 - [Choice](docs//Choice.md)
 - [CommentData](docs//CommentData.md)
 - [Condition](docs//Condition.md)
 - [Contribution](docs//Contribution.md)
 - [ContributionCollection](docs//ContributionCollection.md)
 - [ContributionData](docs//ContributionData.md)
 - [ContributionLinks](docs//ContributionLinks.md)
 - [ContributionLinksContributor](docs//ContributionLinksContributor.md)
 - [ContributionLinksContributorIriTemplate](docs//ContributionLinksContributorIriTemplate.md)
 - [ContributionLinksContributorIriTemplateMapping](docs//ContributionLinksContributorIriTemplateMapping.md)
 - [ContributionLinksFeedback](docs//ContributionLinksFeedback.md)
 - [ContributionLinksFeedbackIriTemplate](docs//ContributionLinksFeedbackIriTemplate.md)
 - [ContributionLinksFeedbackIriTemplateMapping](docs//ContributionLinksFeedbackIriTemplateMapping.md)
 - [Delegation](docs//Delegation.md)
 - [DelegationCollection](docs//DelegationCollection.md)
 - [DelegationData](docs//DelegationData.md)
 - [DelegationEmbedded](docs//DelegationEmbedded.md)
 - [DelegationLinks](docs//DelegationLinks.md)
 - [DelegationLinksCreatedBy](docs//DelegationLinksCreatedBy.md)
 - [DelegationLinksCreatedByIriTemplate](docs//DelegationLinksCreatedByIriTemplate.md)
 - [DelegationLinksReport](docs//DelegationLinksReport.md)
 - [DelegationLinksReportIriTemplate](docs//DelegationLinksReportIriTemplate.md)
 - [DelegationLinksReportIriTemplateMapping](docs//DelegationLinksReportIriTemplateMapping.md)
 - [DelegationLinksSelf](docs//DelegationLinksSelf.md)
 - [DelegationLinksSelfIriTemplate](docs//DelegationLinksSelfIriTemplate.md)
 - [DelegationLinksSelfIriTemplateMapping](docs//DelegationLinksSelfIriTemplateMapping.md)
 - [DelegationLinksService](docs//DelegationLinksService.md)
 - [DelegationLinksServiceIriTemplate](docs//DelegationLinksServiceIriTemplate.md)
 - [DelegationLinksServiceIriTemplateMapping](docs//DelegationLinksServiceIriTemplateMapping.md)
 - [DelegationWorkflowTransitionData](docs//DelegationWorkflowTransitionData.md)
 - [Device](docs//Device.md)
 - [DeviceData](docs//DeviceData.md)
 - [DeviceLinks](docs//DeviceLinks.md)
 - [DeviceLinksPerson](docs//DeviceLinksPerson.md)
 - [DeviceLinksPersonIriTemplate](docs//DeviceLinksPersonIriTemplate.md)
 - [DeviceLinksSelf](docs//DeviceLinksSelf.md)
 - [DeviceLinksSelfIriTemplate](docs//DeviceLinksSelfIriTemplate.md)
 - [DeviceLinksSelfIriTemplateMapping](docs//DeviceLinksSelfIriTemplateMapping.md)
 - [Document](docs//Document.md)
 - [DocumentCollection](docs//DocumentCollection.md)
 - [DocumentData](docs//DocumentData.md)
 - [DocumentDataFile](docs//DocumentDataFile.md)
 - [DocumentDataPermission](docs//DocumentDataPermission.md)
 - [DocumentFile](docs//DocumentFile.md)
 - [DocumentLinks](docs//DocumentLinks.md)
 - [DocumentLinksCreatedBy](docs//DocumentLinksCreatedBy.md)
 - [DocumentLinksCreatedByIriTemplate](docs//DocumentLinksCreatedByIriTemplate.md)
 - [DocumentLinksFile](docs//DocumentLinksFile.md)
 - [DocumentLinksFileIriTemplate](docs//DocumentLinksFileIriTemplate.md)
 - [DocumentLinksFileIriTemplateMapping](docs//DocumentLinksFileIriTemplateMapping.md)
 - [DocumentLinksSelf](docs//DocumentLinksSelf.md)
 - [DocumentLinksSelfIriTemplate](docs//DocumentLinksSelfIriTemplate.md)
 - [DocumentPatch](docs//DocumentPatch.md)
 - [DocumentPatchFile](docs//DocumentPatchFile.md)
 - [DocumentPermission](docs//DocumentPermission.md)
 - [Error](docs//Error.md)
 - [ErrorEmbedded](docs//ErrorEmbedded.md)
 - [ExternalService](docs//ExternalService.md)
 - [ExternalServiceCollection](docs//ExternalServiceCollection.md)
 - [ExternalServiceContactPoint](docs//ExternalServiceContactPoint.md)
 - [ExternalServiceData](docs//ExternalServiceData.md)
 - [ExternalServiceLinks](docs//ExternalServiceLinks.md)
 - [ExternalServiceLinksProvider](docs//ExternalServiceLinksProvider.md)
 - [ExternalServiceLinksProviderIriTemplate](docs//ExternalServiceLinksProviderIriTemplate.md)
 - [ExternalServiceLinksSelf](docs//ExternalServiceLinksSelf.md)
 - [ExternalServiceLinksSelfIriTemplate](docs//ExternalServiceLinksSelfIriTemplate.md)
 - [ExternalServicePatch](docs//ExternalServicePatch.md)
 - [ExternalServicePatchContactPoint](docs//ExternalServicePatchContactPoint.md)
 - [FacebookConnectData](docs//FacebookConnectData.md)
 - [Feature](docs//Feature.md)
 - [FeatureGeometry](docs//FeatureGeometry.md)
 - [Feed](docs//Feed.md)
 - [FeedCollection](docs//FeedCollection.md)
 - [Feedback](docs//Feedback.md)
 - [FeedbackCollection](docs//FeedbackCollection.md)
 - [FeedbackData](docs//FeedbackData.md)
 - [FeedbackDataGeo](docs//FeedbackDataGeo.md)
 - [FeedbackDataGeoPoint](docs//FeedbackDataGeoPoint.md)
 - [FeedbackEmbedded](docs//FeedbackEmbedded.md)
 - [FeedbackGeoCoordinates](docs//FeedbackGeoCoordinates.md)
 - [FeedbackGeoCoordinatesPoint](docs//FeedbackGeoCoordinatesPoint.md)
 - [FeedbackLinks](docs//FeedbackLinks.md)
 - [FeedbackLinksBusinessActivity](docs//FeedbackLinksBusinessActivity.md)
 - [FeedbackLinksBusinessActivityIriTemplate](docs//FeedbackLinksBusinessActivityIriTemplate.md)
 - [FeedbackLinksCategory](docs//FeedbackLinksCategory.md)
 - [FeedbackLinksCategoryIriTemplate](docs//FeedbackLinksCategoryIriTemplate.md)
 - [FeedbackLinksImage](docs//FeedbackLinksImage.md)
 - [FeedbackLinksImageIriTemplate](docs//FeedbackLinksImageIriTemplate.md)
 - [FeedbackLinksImageIriTemplateMapping](docs//FeedbackLinksImageIriTemplateMapping.md)
 - [FeedbackLinksImages](docs//FeedbackLinksImages.md)
 - [FeedbackLinksImagesIriTemplate](docs//FeedbackLinksImagesIriTemplate.md)
 - [FeedbackLinksReporter](docs//FeedbackLinksReporter.md)
 - [FeedbackLinksReporterIriTemplate](docs//FeedbackLinksReporterIriTemplate.md)
 - [FeedbackLinksSelf](docs//FeedbackLinksSelf.md)
 - [FeedbackLinksSelfIriTemplate](docs//FeedbackLinksSelfIriTemplate.md)
 - [FeedbackLinksTracking](docs//FeedbackLinksTracking.md)
 - [FeedbackLinksTrackingIriTemplate](docs//FeedbackLinksTrackingIriTemplate.md)
 - [FeedbackReviewRequest](docs//FeedbackReviewRequest.md)
 - [FeedbackReviewRequestCollection](docs//FeedbackReviewRequestCollection.md)
 - [FeedbackReviewRequestLinks](docs//FeedbackReviewRequestLinks.md)
 - [FeedbackReviewRequestLinksItemToReview](docs//FeedbackReviewRequestLinksItemToReview.md)
 - [FeedbackReviewRequestLinksItemToReviewIriTemplate](docs//FeedbackReviewRequestLinksItemToReviewIriTemplate.md)
 - [FeedbackReviewRequestLinksOrganization](docs//FeedbackReviewRequestLinksOrganization.md)
 - [FeedbackReviewRequestLinksOrganizationIriTemplate](docs//FeedbackReviewRequestLinksOrganizationIriTemplate.md)
 - [FeedbackReviewRequestLinksReview](docs//FeedbackReviewRequestLinksReview.md)
 - [FeedbackReviewRequestLinksReviewIriTemplate](docs//FeedbackReviewRequestLinksReviewIriTemplate.md)
 - [FeedbackReviewRequestLinksReviewIriTemplateMapping](docs//FeedbackReviewRequestLinksReviewIriTemplateMapping.md)
 - [FeedbackReviewRequestLinksReviewer](docs//FeedbackReviewRequestLinksReviewer.md)
 - [FeedbackReviewRequestLinksReviewerIriTemplate](docs//FeedbackReviewRequestLinksReviewerIriTemplate.md)
 - [FeedbackReviewRequestLinksSelf](docs//FeedbackReviewRequestLinksSelf.md)
 - [FeedbackReviewRequestLinksSelfIriTemplate](docs//FeedbackReviewRequestLinksSelfIriTemplate.md)
 - [FeedbackReviewRequestLinksSelfIriTemplateMapping](docs//FeedbackReviewRequestLinksSelfIriTemplateMapping.md)
 - [FeedbackWorkflowTransitionData](docs//FeedbackWorkflowTransitionData.md)
 - [ImageData](docs//ImageData.md)
 - [InternalService](docs//InternalService.md)
 - [InternalServiceCollection](docs//InternalServiceCollection.md)
 - [InternalServiceData](docs//InternalServiceData.md)
 - [InternalServiceLinks](docs//InternalServiceLinks.md)
 - [InternalServiceLinksOrganization](docs//InternalServiceLinksOrganization.md)
 - [InternalServiceLinksOrganizationIriTemplate](docs//InternalServiceLinksOrganizationIriTemplate.md)
 - [InternalServiceLinksSelf](docs//InternalServiceLinksSelf.md)
 - [InternalServiceLinksSelfIriTemplate](docs//InternalServiceLinksSelfIriTemplate.md)
 - [InternalServiceLinksSelfIriTemplateMapping](docs//InternalServiceLinksSelfIriTemplateMapping.md)
 - [InternalServicePatch](docs//InternalServicePatch.md)
 - [LoginData](docs//LoginData.md)
 - [Member](docs//Member.md)
 - [MemberCollection](docs//MemberCollection.md)
 - [MemberData](docs//MemberData.md)
 - [MemberEmbedded](docs//MemberEmbedded.md)
 - [MemberLinks](docs//MemberLinks.md)
 - [MemberLinksOrganization](docs//MemberLinksOrganization.md)
 - [MemberLinksOrganizationIriTemplate](docs//MemberLinksOrganizationIriTemplate.md)
 - [MemberLinksPerson](docs//MemberLinksPerson.md)
 - [MemberLinksPersonIriTemplate](docs//MemberLinksPersonIriTemplate.md)
 - [MemberLinksSelf](docs//MemberLinksSelf.md)
 - [MemberLinksSelfIriTemplate](docs//MemberLinksSelfIriTemplate.md)
 - [MemberLinksSelfIriTemplateMapping](docs//MemberLinksSelfIriTemplateMapping.md)
 - [MemberPatch](docs//MemberPatch.md)
 - [Node](docs//Node.md)
 - [NodeEmbedded](docs//NodeEmbedded.md)
 - [NodePath](docs//NodePath.md)
 - [Occupant](docs//Occupant.md)
 - [OccupantCollection](docs//OccupantCollection.md)
 - [OccupantData](docs//OccupantData.md)
 - [OccupantLinks](docs//OccupantLinks.md)
 - [OccupantLinksPerson](docs//OccupantLinksPerson.md)
 - [OccupantLinksPersonIriTemplate](docs//OccupantLinksPersonIriTemplate.md)
 - [OccupantLinksPlace](docs//OccupantLinksPlace.md)
 - [OccupantLinksPlaceIriTemplate](docs//OccupantLinksPlaceIriTemplate.md)
 - [OccupantLinksPlaceIriTemplateMapping](docs//OccupantLinksPlaceIriTemplateMapping.md)
 - [OccupantLinksSelf](docs//OccupantLinksSelf.md)
 - [OccupantLinksSelfIriTemplate](docs//OccupantLinksSelfIriTemplate.md)
 - [OccupantLinksSelfIriTemplateMapping](docs//OccupantLinksSelfIriTemplateMapping.md)
 - [Operation](docs//Operation.md)
 - [OperationCollection](docs//OperationCollection.md)
 - [OperationData](docs//OperationData.md)
 - [OperationEmbedded](docs//OperationEmbedded.md)
 - [OperationEmbeddedDuration](docs//OperationEmbeddedDuration.md)
 - [OperationLinks](docs//OperationLinks.md)
 - [OperationLinksCreatedBy](docs//OperationLinksCreatedBy.md)
 - [OperationLinksCreatedByIriTemplate](docs//OperationLinksCreatedByIriTemplate.md)
 - [OperationLinksFeedback](docs//OperationLinksFeedback.md)
 - [OperationLinksFeedbackIriTemplate](docs//OperationLinksFeedbackIriTemplate.md)
 - [OperationLinksImage](docs//OperationLinksImage.md)
 - [OperationLinksImageIriTemplate](docs//OperationLinksImageIriTemplate.md)
 - [OperationLinksImageIriTemplateMapping](docs//OperationLinksImageIriTemplateMapping.md)
 - [OperationLinksImages](docs//OperationLinksImages.md)
 - [OperationLinksImagesIriTemplate](docs//OperationLinksImagesIriTemplate.md)
 - [OperationLinksImagesIriTemplateMapping](docs//OperationLinksImagesIriTemplateMapping.md)
 - [OperationLinksOperator](docs//OperationLinksOperator.md)
 - [OperationLinksOperatorIriTemplate](docs//OperationLinksOperatorIriTemplate.md)
 - [OperationLinksOrganization](docs//OperationLinksOrganization.md)
 - [OperationLinksOrganizationIriTemplate](docs//OperationLinksOrganizationIriTemplate.md)
 - [OperationLinksReport](docs//OperationLinksReport.md)
 - [OperationLinksReportIriTemplate](docs//OperationLinksReportIriTemplate.md)
 - [OperationLinksSelf](docs//OperationLinksSelf.md)
 - [OperationLinksSelfIriTemplate](docs//OperationLinksSelfIriTemplate.md)
 - [OperationLinksSelfIriTemplateMapping](docs//OperationLinksSelfIriTemplateMapping.md)
 - [OperationLinksTracking](docs//OperationLinksTracking.md)
 - [OperationLinksTrackingIriTemplate](docs//OperationLinksTrackingIriTemplate.md)
 - [OperationPatch](docs//OperationPatch.md)
 - [OperationSignature](docs//OperationSignature.md)
 - [OperationSignatureSigner](docs//OperationSignatureSigner.md)
 - [OperationWorkflowTransitionData](docs//OperationWorkflowTransitionData.md)
 - [Organization](docs//Organization.md)
 - [OrganizationCollection](docs//OrganizationCollection.md)
 - [OrganizationData](docs//OrganizationData.md)
 - [OrganizationLinks](docs//OrganizationLinks.md)
 - [OrganizationLinksApplication](docs//OrganizationLinksApplication.md)
 - [OrganizationLinksApplicationIriTemplate](docs//OrganizationLinksApplicationIriTemplate.md)
 - [OrganizationLinksBusinessActivity](docs//OrganizationLinksBusinessActivity.md)
 - [OrganizationLinksBusinessActivityIriTemplate](docs//OrganizationLinksBusinessActivityIriTemplate.md)
 - [OrganizationLinksLogo](docs//OrganizationLinksLogo.md)
 - [OrganizationLinksLogoIriTemplate](docs//OrganizationLinksLogoIriTemplate.md)
 - [OrganizationLinksSelf](docs//OrganizationLinksSelf.md)
 - [OrganizationLinksSelfIriTemplate](docs//OrganizationLinksSelfIriTemplate.md)
 - [OrganizationPatch](docs//OrganizationPatch.md)
 - [OrganizationPatchPreferences](docs//OrganizationPatchPreferences.md)
 - [OrganizationPreferences](docs//OrganizationPreferences.md)
 - [OrganizationPreferencesNotification](docs//OrganizationPreferencesNotification.md)
 - [OrganizationPreferencesNotificationReport](docs//OrganizationPreferencesNotificationReport.md)
 - [OrganizationPreferencesReference](docs//OrganizationPreferencesReference.md)
 - [Pagination](docs//Pagination.md)
 - [PaginationLink](docs//PaginationLink.md)
 - [PaginationLinks](docs//PaginationLinks.md)
 - [PasswordChangeData](docs//PasswordChangeData.md)
 - [Person](docs//Person.md)
 - [PersonCollection](docs//PersonCollection.md)
 - [PersonLinks](docs//PersonLinks.md)
 - [PersonLinksCreatedBy](docs//PersonLinksCreatedBy.md)
 - [PersonLinksCreatedByIriTemplate](docs//PersonLinksCreatedByIriTemplate.md)
 - [PersonLinksImage](docs//PersonLinksImage.md)
 - [PersonLinksImageIriTemplate](docs//PersonLinksImageIriTemplate.md)
 - [PersonLinksSelf](docs//PersonLinksSelf.md)
 - [PersonLinksSelfIriTemplate](docs//PersonLinksSelfIriTemplate.md)
 - [PersonPatch](docs//PersonPatch.md)
 - [PersonPatchPreferences](docs//PersonPatchPreferences.md)
 - [PersonPatchPreferencesNotification](docs//PersonPatchPreferencesNotification.md)
 - [PersonPreferences](docs//PersonPreferences.md)
 - [PersonPreferencesNotification](docs//PersonPreferencesNotification.md)
 - [Place](docs//Place.md)
 - [PlaceCollection](docs//PlaceCollection.md)
 - [PlaceData](docs//PlaceData.md)
 - [PlaceEmbedded](docs//PlaceEmbedded.md)
 - [PlaceGeo](docs//PlaceGeo.md)
 - [PlaceGeoCentroid](docs//PlaceGeoCentroid.md)
 - [PlaceGeoPolygon](docs//PlaceGeoPolygon.md)
 - [PlaceLinks](docs//PlaceLinks.md)
 - [PlaceLinksContainedInPlace](docs//PlaceLinksContainedInPlace.md)
 - [PlaceLinksContainedInPlaceIriTemplate](docs//PlaceLinksContainedInPlaceIriTemplate.md)
 - [PlaceLinksContainsPlaces](docs//PlaceLinksContainsPlaces.md)
 - [PlaceLinksContainsPlacesIriTemplate](docs//PlaceLinksContainsPlacesIriTemplate.md)
 - [PlaceLinksContainsPlacesIriTemplateMapping](docs//PlaceLinksContainsPlacesIriTemplateMapping.md)
 - [PlaceLinksOrganization](docs//PlaceLinksOrganization.md)
 - [PlaceLinksOrganizationIriTemplate](docs//PlaceLinksOrganizationIriTemplate.md)
 - [PlaceLinksSelf](docs//PlaceLinksSelf.md)
 - [PlaceLinksSelfIriTemplate](docs//PlaceLinksSelfIriTemplate.md)
 - [PlacePatch](docs//PlacePatch.md)
 - [PlacePreferences](docs//PlacePreferences.md)
 - [Property](docs//Property.md)
 - [PropertyConditions](docs//PropertyConditions.md)
 - [PropertyItems](docs//PropertyItems.md)
 - [Publication](docs//Publication.md)
 - [PublicationCollection](docs//PublicationCollection.md)
 - [PublicationData](docs//PublicationData.md)
 - [PublicationLinks](docs//PublicationLinks.md)
 - [PublicationLinksAuthor](docs//PublicationLinksAuthor.md)
 - [PublicationLinksAuthorIriTemplate](docs//PublicationLinksAuthorIriTemplate.md)
 - [PublicationLinksFeed](docs//PublicationLinksFeed.md)
 - [PublicationLinksFeedIriTemplate](docs//PublicationLinksFeedIriTemplate.md)
 - [PublicationLinksOrganization](docs//PublicationLinksOrganization.md)
 - [PublicationLinksOrganizationIriTemplate](docs//PublicationLinksOrganizationIriTemplate.md)
 - [PublicationLinksSelf](docs//PublicationLinksSelf.md)
 - [PublicationLinksSelfIriTemplate](docs//PublicationLinksSelfIriTemplate.md)
 - [PublicationLinksSelfIriTemplateMapping](docs//PublicationLinksSelfIriTemplateMapping.md)
 - [RegisterData](docs//RegisterData.md)
 - [Report](docs//Report.md)
 - [ReportCollection](docs//ReportCollection.md)
 - [ReportEmbedded](docs//ReportEmbedded.md)
 - [ReportEmbeddedTargetGroups](docs//ReportEmbeddedTargetGroups.md)
 - [ReportLinks](docs//ReportLinks.md)
 - [ReportLinksCategory](docs//ReportLinksCategory.md)
 - [ReportLinksCategoryIriTemplate](docs//ReportLinksCategoryIriTemplate.md)
 - [ReportLinksDelegatedFrom](docs//ReportLinksDelegatedFrom.md)
 - [ReportLinksDelegatedFromIriTemplate](docs//ReportLinksDelegatedFromIriTemplate.md)
 - [ReportLinksDelegatedTo](docs//ReportLinksDelegatedTo.md)
 - [ReportLinksDelegatedToIriTemplate](docs//ReportLinksDelegatedToIriTemplate.md)
 - [ReportLinksFeedback](docs//ReportLinksFeedback.md)
 - [ReportLinksFeedbackIriTemplate](docs//ReportLinksFeedbackIriTemplate.md)
 - [ReportLinksOperations](docs//ReportLinksOperations.md)
 - [ReportLinksOperationsIriTemplate](docs//ReportLinksOperationsIriTemplate.md)
 - [ReportLinksOrganization](docs//ReportLinksOrganization.md)
 - [ReportLinksOrganizationIriTemplate](docs//ReportLinksOrganizationIriTemplate.md)
 - [ReportLinksPlace](docs//ReportLinksPlace.md)
 - [ReportLinksPlaceIriTemplate](docs//ReportLinksPlaceIriTemplate.md)
 - [ReportLinksSelf](docs//ReportLinksSelf.md)
 - [ReportLinksSelfIriTemplate](docs//ReportLinksSelfIriTemplate.md)
 - [ReportLinksTracking](docs//ReportLinksTracking.md)
 - [ReportLinksTrackingIriTemplate](docs//ReportLinksTrackingIriTemplate.md)
 - [ReportPatch](docs//ReportPatch.md)
 - [ReportWorkflowTransitionData](docs//ReportWorkflowTransitionData.md)
 - [ResetPasswordData](docs//ResetPasswordData.md)
 - [Review](docs//Review.md)
 - [ReviewCollection](docs//ReviewCollection.md)
 - [ReviewData](docs//ReviewData.md)
 - [ReviewLinks](docs//ReviewLinks.md)
 - [ReviewLinksAuthor](docs//ReviewLinksAuthor.md)
 - [ReviewLinksAuthorIriTemplate](docs//ReviewLinksAuthorIriTemplate.md)
 - [ReviewLinksItemReviewed](docs//ReviewLinksItemReviewed.md)
 - [ReviewLinksItemReviewedIriTemplate](docs//ReviewLinksItemReviewedIriTemplate.md)
 - [ReviewLinksSelf](docs//ReviewLinksSelf.md)
 - [ReviewLinksSelfIriTemplate](docs//ReviewLinksSelfIriTemplate.md)
 - [Schema](docs//Schema.md)
 - [SignatureData](docs//SignatureData.md)
 - [SignatureDataSigner](docs//SignatureDataSigner.md)
 - [SuccessLogin](docs//SuccessLogin.md)
 - [SuccessLoginCredentials](docs//SuccessLoginCredentials.md)
 - [SuccessLoginCredentialsAdministratorOf](docs//SuccessLoginCredentialsAdministratorOf.md)
 - [SuccessLoginCredentialsMemberOf](docs//SuccessLoginCredentialsMemberOf.md)
 - [SuccessLoginCredentialsOrganization](docs//SuccessLoginCredentialsOrganization.md)
 - [Tracking](docs//Tracking.md)
 - [TrackingProgression](docs//TrackingProgression.md)
 - [Webhook](docs//Webhook.md)
 - [WebhookCollection](docs//WebhookCollection.md)
 - [WebhookData](docs//WebhookData.md)
 - [WebhookLinks](docs//WebhookLinks.md)
 - [WebhookLinksOrganization](docs//WebhookLinksOrganization.md)
 - [WebhookLinksOrganizationIriTemplate](docs//WebhookLinksOrganizationIriTemplate.md)
 - [WebhookLinksSelf](docs//WebhookLinksSelf.md)
 - [WebhookLinksSelfIriTemplate](docs//WebhookLinksSelfIriTemplate.md)
 - [WebhookLinksSelfIriTemplateMapping](docs//WebhookLinksSelfIriTemplateMapping.md)
 - [WebhookPatch](docs//WebhookPatch.md)
 - [BusinessActivityPagination](docs//BusinessActivityPagination.md)
 - [CategoryPagination](docs//CategoryPagination.md)
 - [ContributionPagination](docs//ContributionPagination.md)
 - [DelegationPagination](docs//DelegationPagination.md)
 - [DocumentPagination](docs//DocumentPagination.md)
 - [ExternalServicePagination](docs//ExternalServicePagination.md)
 - [FeedPagination](docs//FeedPagination.md)
 - [FeedbackPagination](docs//FeedbackPagination.md)
 - [FeedbackReviewRequestPagination](docs//FeedbackReviewRequestPagination.md)
 - [InternalServicePagination](docs//InternalServicePagination.md)
 - [MemberPagination](docs//MemberPagination.md)
 - [OccupantPagination](docs//OccupantPagination.md)
 - [OperationPagination](docs//OperationPagination.md)
 - [OrganizationPagination](docs//OrganizationPagination.md)
 - [PersonPagination](docs//PersonPagination.md)
 - [PlacePagination](docs//PlacePagination.md)
 - [PublicationPagination](docs//PublicationPagination.md)
 - [ReportPagination](docs//ReportPagination.md)
 - [ReviewPagination](docs//ReviewPagination.md)
 - [WebhookPagination](docs//WebhookPagination.md)


## Documentation For Authorization


## bearer

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

techies@keyclic.com


